#ifndef TILE_SYSTEM_OS_H
#define TILE_SYSTEM_OS_H

#pragma once

#include "tile/base/slice.h"

namespace tile {

class OperatorSystem {
public:
    static uint64_t MyPid();
    static uint64_t MyPPid();

    static int64_t GetMemoryInfo(Slice key, uint64_t pid = MyPid());
};

}// namespace tile

#endif// TILE_SYSTEM_OS_H
